<?php
/**
 * User
 * @package     User
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class User
{
    /**
     * ユーザーID（primary key）
     * @var string
     */
    public $_id;
    /**
     * ユーザー名
     * @var string
     */
    public $user_name;
    /**
     * パスワード
     * @var string
     */
    public $password;
    /**
     * ロール
     * @var integer
     */
    public $user_role;
    /**
     * 表示名
     * @var string
     */
    public $display_name;
    /**
     * 備考
     * @var string
     */
    public $note;
    /**
     * 作成日時
     * @var string
     */
    public $create_date;
    /**
     * 更新日時
     * @var string
     */
    public $update_date;

    /**
     * 表示名を返す
     * @return string
     */
    public function get_display_name()
    {
        if (strlen($this->display_name) > 0) {
            return $this->display_name;
        } else {
            return $this->user_name;
        }
    }
}