<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title>ライセンス管理 - MicroEngine</title>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user'), array('help_page'=>'s_license_index.html'));?>
<div class="topicpath_box">
<span class="topicpath">
<a href="../Main/index"><span>Top</span></a> &#187;
<a href="../System/index"><span>システム</span></a> &#187;
ライセンス管理
</span>
</div><!-- /topicpath -->

<div class="main">
<div class="message"><?php h::p($_flash) ?></div>
<div class="message"><?php h::p($message) ?></div>

<table class="info_table">
<tr>
<th>ライセンスID</th>
<td>
<?php if (strlen($license->license_id)): ?>
<?php h::p($license->license_id) ?>
<?php else: ?>
（未登録）
<?php endif; ?>
</td>
</tr>
<tr>
<th>ライセンスキー</th>
<td>
<?php if (strlen($license->license_id)): ?>
*****-*****-*****-*****
<?php else: ?>
（未登録）
<?php endif; ?>
</td>
</tr>
<tr>
<th>ライセンスタイプ</th>
<td><?php h::p($license->get_license_type_name()) ?></td>
</tr>
</table>

<div class="bottom_box">
<div class="bottom_left">
<a href="../System/index"><img src="../../app/assets/images/silk/cog.png" width="16" height="16" alt="戻る">
<span>戻る</span></a>
</div>
<div class="bottom_center">
<?php if (empty($message)): ?>
<a class="link_button" href="../License/edit">ライセンスを更新する</a>
<?php else: ?>
<a class="link_button" href="../License/edit">ライセンスを登録する</a>
<?php endif; ?>
</div>
<br class="clear">
</div><!-- /bottom_box -->
</div><!-- /main -->
<?php h::render('/Common/footer.php');?>
</body>
</html>